Bug 1538789 - [3.7] haproxy lb install failed when haproxy-1.7.9-1.el7.x86_64 is installed.
Summary: [3.7] haproxy lb install failed when haproxy-1.7.9-1.el7.x86_64 is installed.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.7.z
Assignee: Russell Teague
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-25 20:24 UTC by Russell Teague
Modified: 2018-04-05 09:36 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
haproxy.cfg template in the load-balancer role was not updated to reflect changes in new versions of haproxy causing the service to fail to start. The config file template was updated to work for newer versions of haproxy.
Clone Of: 1506866
Environment:
Last Closed: 2018-04-05 09:36:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0636 None None None 2018-04-05 09:36:45 UTC

Comment 1 Russell Teague 2018-01-25 20:25:58 UTC
Proposed: https://github.com/openshift/openshift-ansible/pull/6883

Comment 3 Gaoyun Pei 2018-01-27 04:20:11 UTC
No openshift-ansible build attached in https://errata.devel.redhat.com/advisory/32336.

And the proposed PR not merged in latest available 3.7 installer - openshift-ansible-3.7.26-1.git.0.f87f1af.el7.noarch.rpm.

Comment 4 Russell Teague 2018-01-29 13:20:04 UTC
Fixed in openshift-ansible-3.7.27-1

Comment 5 Gaoyun Pei 2018-01-30 03:23:48 UTC
Verified this bug with openshift-ansible-3.7.27-1.git.0.ae95fc3.el7.noarch

[root@qe-gpei-1lb-1 ~]# docker run --entrypoint rpm openshift3/ose-haproxy-router:v3.7 -qa |grep haproxy
haproxy-1.5.18-6.el7.x86_64

[root@qe-gpei-1lb-1 ~]# sed -n '30,35p' /etc/haproxy/haproxy.cfg
listen stats
    bind :9000
    mode http
    stats enable
    stats uri /

Haproxy service is running well.


Will move it to verified when 3.7 openshift-ansible package attached to https://errata.devel.redhat.com/advisory/32336

Comment 6 Gaoyun Pei 2018-02-08 02:28:07 UTC
Release date of advisory/32336 delayed, so mark this bug as verified with openshift-ansible-3.7.27-1.git.0.ae95fc3.el7.noarch to avoid too many bugs waiting at ON_QA status

Comment 10 errata-xmlrpc 2018-04-05 09:36:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0636


Note You need to log in before you can comment on or make changes to this bug.